https://azure.com/pools/{poolId}/nodes/{nodeId}/rdpBefore you can access a Compute Node by using the RDP file, you must create a user Account on the Compute Node. This API can only be invoked on Pools created with a cloud service configuration. For Pools created with a virtual machine configuration, see the GetRemoteLoginSettings API.
The ID of the Pool that contains the Compute Node.
The ID of the Compute Node for which you want to get the Remote Desktop Protocol file.
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/pools/{poolId}/nodes/{nodeId}/rdp' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/pools/{poolId}/nodes/{nodeId}/rdpBefore you can access a Compute Node by using the RDP file, you must create a user Account on the Compute Node. This API can only be invoked on Pools created with a cloud service configuration. For Pools created with a virtual machine configuration, see the GetRemoteLoginSettings API.
The ID of the Pool that contains the Compute Node.
The ID of the Compute Node for which you want to get the Remote Desktop Protocol file.
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/pools/{poolId}/nodes/{nodeId}/rdp' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}